<div class="contenido">
  <div class="catalogo">
      <app-catalogo-mebr></app-catalogo-mebr>
    </div>
  <div class="tabla">
    <mat-table [dataSource]="dataSource" matSort>
      <ng-container *ngFor="let column of columnas" [cdkColumnDef]="column.id">
        <mat-header-cell *cdkHeaderCellDef>{{ column.id }}</mat-header-cell>
        <mat-cell *matCellDef="let row; let iRow = index">
          <mat-form-field floatLabel="never" appearance="outline">
            <div *ngIf="column.editable==false;then editar else normal"></div>
            <ng-template #editar>
              <input matInput placeholder="false" [disabled]="true" [value]="row[column.id]"
                [(ngModel)]="row[column.id]">
            </ng-template>
            <ng-template #normal>
              <input matInput placeholder="true" [value]="row[column.id]" [(ngModel)]="row[column.id]">
            </ng-template>
          </mat-form-field>
        </mat-cell>
      </ng-container>
      <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
      <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
    </mat-table>
    <mat-paginator [pageSizeOptions]="[5]"></mat-paginator>
  </div>
  <button mat-raised-button (click)="openDialog()">Pick one</button>

</div>

